Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Interface JythonInitializer

    public interface JythonInitializer

A service for initializing Jython without explicitly calling `PySystemState.initialize()`. If a file META-INF/services/org.python.core.JythonInitializer is on the classpath, Jython will instantiate the class named in that file and use it in Jython's initialization. The given class must be an implementation of this interface with a no-arg constructor.

See Also:
  Java Service Providers

Method Summary
`void` | `initialize(Properties preProperties, Properties postProperties, String[] argv, ClassLoader classLoader, org.python.core.adapter.ExtensiblePyObjectAdapter adapter)` Called from `PySystemState.initialize()` with the full set of initialization arguments.

Method Detail

### initialize

    void initialize(Properties preProperties,
                    Properties postProperties,
                    String[] argv,
                    ClassLoader classLoader,
                    org.python.core.adapter.ExtensiblePyObjectAdapter adapter)

  Called from `PySystemState.initialize()` with the full set of initialization arguments. Implementations may modify or replace the given arguments, and must call `PySystemState.doInitialize(java.util.Properties, java.util.Properties, java.lang.String[], java.lang.ClassLoader, org.python.core.adapter.ExtensiblePyObjectAdapter)`.

  Parameters:
    `argv` - - The command line arguments the jython interpreter was started with, or an empty array if jython wasn't started directly from the command line.
    `classLoader` - - The classloader to be used by sys, or null if no sys-specific classloader was specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage